// Main6a.cpp
// This holds the main function for the second Conquest game of
// the C++ Game Programmer's Tutorial.
// Copyright (c) Forest J. Handford 1998
//////////////////////////////////////////////////////////////

#include <iostream.h>
#include <ctype.h>
#include "Country6a.h"

void main()
{
    char Answer;
    bool EndGame = FALSE;

    cout<<endl<<"\tWelcome to multi-player Conquest"<<endl
        <<"\t\tBy Forest J. Handford"<<endl
        <<"\t\tCopyright (c) 1998"<<endl<<endl;

    CCountries Countries;

    for(bool Continue = TRUE; ; Countries.Enqueue( Countries.Dequeue()))
    {
        Answer = 'l';
        Continue = TRUE;

        Countries.Front->WriteName();
        cout<<" take your seat."<<endl;
        cout<<"You have "<<Countries.Front->ShowArmies()<<" armies."<<endl;

        while (tolower(Answer) != 'p' && Continue == TRUE)
        {
            cout<<"Would you like to (U)pgrade, (G)row, (S)hrink, (A)ttack or (P)ass? ";
            cin>>Answer;
            if ( tolower(Answer) == 'a')
            {
                Continue = Countries.Attack();
                if(Countries.End() == TRUE)    
                {
                    EndGame = TRUE;
                    break;
                }


                if(Continue == TRUE)
                {
                    cout<<"Would you like to (U)pgrade, (G)row, (S)hrink or (P)ass? ";
                    cin>>Answer;
                    if (tolower(Answer) == 'u')
                    {
                        Countries.Front->Upgrade();
                        cout<<"Would you like to (G)row, (S)hrink or (P)ass? ";
                        cin>>Answer;
                        if(tolower(Answer) == 'g')
                        {
                            Countries.Front->Grow();
                        }
                        else if(tolower(Answer) == 's')
                        {
                            Countries.Front->Shrink();
                        }
                    }        
                    else if(tolower(Answer) == 'g')
                    {
                        Countries.Front->Grow();
                        cout<<"Would you like to (U)pgrade or (P)ass? ";
                        cin>>Answer;
                        if(tolower(Answer) == 'u')
                        {
                            Countries.Front->Upgrade();
                        }
                    }
                    else if(tolower(Answer) == 's')
                    {
                        Countries.Front->Shrink();
                        cout<<"Would you like to (U)pgrade or (P)ass? ";
                        cin>>Answer;
                        if(tolower(Answer) == 'u')
                        {
                            Countries.Front->Upgrade();
                        }
                    }

                    Answer = 'p';
                }
            }
            else if(tolower(Answer) == 'u')
            {
                Countries.Front->Upgrade();
                cout<<"Would you like to (G)row, (S)hrink or (P)ass? ";
                cin>>Answer;
                if(tolower(Answer) == 'g')
                {
                    Countries.Front->Grow();
                }
                else if(tolower(Answer) == 's')
                {
                    Countries.Front->Shrink();
                }

                Answer = 'p';
            }
            else if(tolower(Answer) == 'g')
            {
                Countries.Front->Grow();
                cout<<"Would you like to (U)pgrade or (P)ass? ";
                cin>>Answer;
                if(tolower(Answer) == 'u')
                {
                    Countries.Front->Upgrade();
                }

                Answer = 'p';
            }
            else if(tolower(Answer) == 's')
            {
                Countries.Front->Shrink();
                cout<<"Would you like to (U)pgrade or (P)ass? ";
                cin>>Answer;
                if(tolower(Answer) == 'u')
                {
                    Countries.Front->Upgrade();
                }
                Answer = 'p';
            }
            else if(tolower(Answer) == 'p')
            {
                Answer = 'p';
            }
            else
            {
                cout<<"Sorry, bad input . . . try again"<<endl;
            }
        }
        if (Countries.End() == TRUE) break;
        else Countries.Front->AddStuff();
    }
}
